Name:           daggy
Version:        1.0.1
Release:        1%{?dist}
Summary:        Data Aggregation Utility

# QSshLib is part of Qt Creator
# which is GPLv3+ with exceptions, but exceptions do not apply here
License:        MIT and GPLv3+
URL:            https://github.com/synacker/daggy
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  qt5-qtbase-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(botan-2)
BuildRequires:  pkgconfig(yaml-cpp)

# This is some parts of some version of QSshLib (from Qt Creator)
Provides: bundled(qsshlib)

%description
Daggy - application that can run multiple commands
on remote servers simultaneously and save output locally.

* Simple to use.
  Configure commands and servers via json/yaml config.
  Run command via ssh/bash/powershell
* Simple to support.
  No installations are required on remote servers.
  Only ssh connection are required for remote servers.
* Simple to search and read.
  Each command output saving in separate file at runtime.

%prep
%autosetup
rm -vrf 3rd-party
mkdir -p %{_target_platform}

%build
pushd %{_target_platform}
  %qmake_qt5 BINDIR=%{_bindir} LIBDIR=%{_libdir} VERSION=%{version} BUILD_NUMBER=0 CONFIG+=release ..
popd
%make_build -C %{_target_platform}

%install
%make_install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

%files
%license COPYING ssh/LICENSE.GPL3-EXCEPT.txt
%doc README.md
%{_bindir}/daggy

%changelog
* Tue Mar 19 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Sat Mar 16 2019 Mikhail Milovidov <milovidovmikhail@gmail.com> - 1.0.0-1
- Initial rpm release
